<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-comms](./foundation-comms.md) &gt; [Connect](./foundation-comms.connect.md)

## Connect interface

Represents a connection and its capabilities on a remote server Provides methods to send and receive messages, as well as metadata and schema information.

**Signature:**

```typescript
export interface Connect 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [isConnected](./foundation-comms.connect.isconnected.md) | <code>readonly</code> | boolean | Indicates whether the connection is currently established. |
|  [isConnected$?](./foundation-comms.connect.isconnected_.md) | <code>readonly</code> | Observable&lt;boolean&gt; | _(Optional)_ An Observable that emits a boolean value indicating whether the connection is currently established. |
|  [isConnectedSubject?](./foundation-comms.connect.isconnectedsubject.md) | <code>readonly</code> | BehaviorSubject&lt;boolean&gt; | _(Optional)_ A behavior subject holding the current connection status. |
|  [isWorking](./foundation-comms.connect.isworking.md) |  | boolean | Indicates whether Connect is working or is idle. |

## Methods

|  Method | Description |
|  --- | --- |
|  [commitEvent(eventName, params)](./foundation-comms.connect.commitevent.md) | Sends a request to the server to retrieve data or perform an action. |
|  [connect(host)](./foundation-comms.connect.connect.md) | Connects to a server at the specified host. |
|  [dataLogoff(sourceRef)](./foundation-comms.connect.datalogoff.md) | Logs off from the specified data source. |
|  [disconnect()](./foundation-comms.connect.disconnect.md) | Disconnects from the server. |
|  [getJSONSchema(resourceName)](./foundation-comms.connect.getjsonschema.md) | Retrieves the JSON schema for the specified resource. |
|  [getMetadata(resourceName, useCache)](./foundation-comms.connect.getmetadata.md) | Retrieves the metadata for the specified resource. |
|  [getMoreRows(sourceRef)](./foundation-comms.connect.getmorerows.md) | Requests additional rows of data for the specified source reference. |
|  [request(resourceName, params)](./foundation-comms.connect.request.md) | Sends a request to the server to retrieve data or perform an action. |
|  [snapshot(resourceName, params)](./foundation-comms.connect.snapshot.md) | Retrieves a snapshot of data for the specified resource. |
|  [stream(resourceName, onMessage, onError, params)](./foundation-comms.connect.stream.md) | Starts listening for updates on the specified resource. |

