<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-comms](./foundation-comms.md) &gt; [MessageBuilder](./foundation-comms.messagebuilder.md)

## MessageBuilder interface

A utility class for building different types of messages.

**Signature:**

```typescript
export interface MessageBuilder 
```

## Methods

|  Method | Description |
|  --- | --- |
|  [createChangePasswordMessage(username, oldPassword, newPassword)](./foundation-comms.messagebuilder.createchangepasswordmessage.md) | Creates a change password message. |
|  [createCommitMessage(eventName, params)](./foundation-comms.messagebuilder.createcommitmessage.md) | Creates an event commit message. |
|  [createDataLogoffMessage(sourceRef)](./foundation-comms.messagebuilder.createdatalogoffmessage.md) | Creates a message to logoff from a DATASERVER. |
|  [createDataLogonMessage(resourceName, params)](./foundation-comms.messagebuilder.createdatalogonmessage.md) | Creates a message to logon to a DATASERVER. Used for data fetching. |
|  [createForgotPasswordMessage(username, returnUrl, requester)](./foundation-comms.messagebuilder.createforgotpasswordmessage.md) | Creates a forgot password message. |
|  [createForgotPasswordTokenMessage(username, resetToken, newPassword, requester)](./foundation-comms.messagebuilder.createforgotpasswordtokenmessage.md) | Creates a forgot password token message. |
|  [createHTTPHeadersFromMessage(message, contentType)](./foundation-comms.messagebuilder.createhttpheadersfrommessage.md) | Create HTTP Headers from a message. |
|  [createLoginMessage(credentials)](./foundation-comms.messagebuilder.createloginmessage.md) | Creates a login message. |
|  [createLogoutMessage(loginResult)](./foundation-comms.messagebuilder.createlogoutmessage.md) | Creates a logout message. |
|  [createMetaRequestMessage(resourceName, messageType)](./foundation-comms.messagebuilder.createmetarequestmessage.md) | Creates a metadata fetch message. |
|  [createMoreRowsMessage(sourceRef)](./foundation-comms.messagebuilder.createmorerowsmessage.md) | Creates a message to request more rows. |
|  [createRefreshTokenMessage()](./foundation-comms.messagebuilder.createrefreshtokenmessage.md) | Creates an auth message specific for token refresh. |
|  [createRequestMessage(resourceName, params)](./foundation-comms.messagebuilder.createrequestmessage.md) | Creates a request message. |

